## org.metaabm.act
Interface ABuildSpace

All Superinterfaces:
  AAct, ABuildProjection, org.eclipse.emf.ecore.EObject, IAct, IID, org.eclipse.emf.common.notify.Notifier, SNamed

All Known Subinterfaces:
  ABuildGrid

All Known Implementing Classes:
  ABuildGridImpl, ABuildSpaceImpl

    public interface ABuildSpace

extends ABuildProjection

A representation of the model object ' ABuild Space'.

Author:
  Miles Parker

  The following features are supported:

  - `Space Type`
See Also:
  `MetaABMActPackage.getABuildSpace()`

Method Summary
`ABuildSpaceTypes` `getSpaceType()` Returns the value of the 'Space Type' attribute.
`void` `setSpaceType(ABuildSpaceTypes value)` Sets the value of the '`Space Type`' attribute.

Methods inherited from interface org.metaabm.act.ABuildProjection
`getAgents, getAttributes, getProjection, setProjection`

Methods inherited from interface org.metaabm.act.AAct
`getAllSources, getAllTargets, getGroup, getReference, getRootSelected, getSelected, getSources, getTargets, isReachable, isTargetOf, references, setGroup, setSelected`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.metaabm.SNamed
`getDescription, getPluralLabel, references, setDescription, setPluralLabel`

Method Detail

### getSpaceType

    ABuildSpaceTypes getSpaceType()

  Returns the value of the 'Space Type' attribute. The literals are from the enumeration `ABuildSpaceTypes`.

  If the meaning of the 'Space Type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Space Type' attribute.
  See Also:
    `ABuildSpaceTypes`, `setSpaceType(ABuildSpaceTypes)`, `MetaABMActPackage.getABuildSpace_SpaceType()`

### setSpaceType

    void setSpaceType(ABuildSpaceTypes value)

  Sets the value of the '`Space Type`' attribute.

  Parameters:
    `value` - the new value of the 'Space Type' attribute.
  See Also:
    `ABuildSpaceTypes`, `getSpaceType()`